# TUG-MML - interface for LaTeX2HTML    -*-perl-*-
# Andreas Hirczy <ahi@itp.tu-graz.ac.at>
#
# install in $LATEX2HTML/styles/

#
# Logos
#
sub do_cmd_matlab{
  join('',"<span style=\"font-variant:small-caps\">Matlab</span>",$_);
}

#
# Convenience functions for MATLAB Reference, Guides, ...
#
sub do_cmd_matref{
  local($_) = @_;
  local($text, $url);
  s/$next_pair_pr_rx/$text = $2; ''/eo;
  s/$next_pair_pr_rx/$url  = $2; ''/eo;
  # and recode the ~ (don't turn it to space)
  $url =~ s/~/&#126;/go;
  join('',"<A HREF=\"http://www.itp.tu-graz.ac.at/matlab/techdoc/ref/$url.html\">$text</A>",$_);
}

sub do_cmd_matrefe{
  local($_) = @_;
  local($url);
  s/$next_pair_pr_rx/$url = $2; ''/eo;
  # and recode the ~ (don't turn it to space)
  $url =~ s/~/&#126;/go;
  join('',"<A HREF=\"http://www.itp.tu-graz.ac.at/matlab/techdoc/ref/$url.html\">$url</A>",$_);
}

sub do_cmd_matpdfref{
  local($_) = @_;
  local($text, $url);
  s/$next_pair_pr_rx/$text = $2; ''/eo;
  s/$next_pair_pr_rx/$url  = $2; ''/eo;
  # and recode the ~ (don't turn it to space)
  $url =~ s/~/&#126;/go;
  join('',"<A HREF=\"http://www.itp.tu-graz.ac.at/matlab/pdf_doc/matlab/$url.pdf\">$text</A>",$_);
}


sub do_cmd_matdes{
  local($_) = @_;
  local($text, $url);
  s/$next_pair_pr_rx/$text = $2; ''/eo;
  s/$next_pair_pr_rx/$url = $2; ''/eo;
  # and recode the ~ (don't turn it to space)
  $url =~ s/~/&#126;/go;
    join('',"<A HREF=\"http://www.itp.tu-graz.ac.at/matlab/techdoc/$url.html\">$text</A>",$_);
}


#
# Convenience functions for MATHEMATICA Reference
#
sub do_cmd_mathematicaref{
  local($_) = @_;
  local($text, $url);
  s/$next_pair_pr_rx/$text = $2; ''/eo;
  s/$next_pair_pr_rx/$url  = $2; ''/eo;
  # and recode the ~ (don't turn it to space)
  $url =~ s/~/&#126;/go;
    join('',"<A HREF=\"http://documents.wolfram.com/v4/RefGuide/$url.html\">$text</A>",$_);
}

1;                              # This must be the last line
