#!/usr/bin/perl -w

open (IN, '<README')
  or die "Can't open README: $!";

while (<IN>) {
  chomp;
  next if /^$/;
  if (/^{(.*)}/) {
    $key = $1;
  }
  else {
    $desc{$key} .= " " . $_;
  }
}

foreach $key (sort(keys %desc)) {
  $entry = $desc{$key};
  $entry =~ s/^\s//;
  $entry =~ s/\s$//;
  $entry =~ s/\s+/ /;
  $desc{$key} = $entry;
  printf STDERR "%20s: %s\n", $key, $entry;
}



$projekt=$desc{"Projekt"}; chomp $projekt;
$title=$desc{"Titel"};
$autor=$desc{"Autoren"};
$wichtig=$desc{"Wichtig"};
$besch=$desc{"BeschreibungLang"};

print <<EOF;
#include '/home/httpd/html/HTML-template.inc'  pageselect=none
<pagetitle "ITP: Multimediale Lehre - $title">

#use wml::fmt::url

<H1>$title</H1>
<P>$autor</P>
<P style="background-color:#FF5555"><STRONG>$wichtig</STRONG></P>

<P><URL>
$besch
</URL></P>

<H2>vollstndige Dokumentation</H2>
<UL>
EOF



if ( -f "$projekt.pdf") {
  print "<LI><A HREF=\"$projekt.pdf\">PDF</A> Skriptum\n";
}
$talk=$projekt . "_talk.pdf";
if ( -f "$talk") {
  print "<LI><A HREF=\"$talk\">PDF</A> Prsentationsunterlagen\n";
}
if ( -d "$projekt/" ) {
  print "<LI><A HREF=\"$projekt/\">HTML</A>\n";
}
print "</UL>\n";


if ( -d "pdf-parts/" ) {
  print "<H2>nach Abschnitten getrennte Dokumentation (PDF)</H2>\n";
  if (-f "pdf-parts/index.html" ) {
    system ("cat", "pdf-parts/index.html");
  }
  else {
    print "<A HREF=\"pdf-parts/\">hier</A>\n";
  }
}
